/* MIPS I system
 * Copyright 2011-2012 Stefan Schuermans <stefan@blinkenarea.org>
 * Copyleft GNU public license V2 or later
 *          http://www.gnu.org/copyleft/gpl.html
 */

#include "config.h"
#include "macros.h"
#include "nethelp.h"

/// MAC address
/* extern */ struct config_mac config_mac = {
  .mac = { 0x02, 0x4D, 0x49, 0x50, 0x53, 0x01 }
};

/**
 * @brief IP configuration
 *
 * fill with meaningful data for static configuration
 * or fill with zeros for DHCP
 */
/* extern */ struct config_ip config_ip = {
#if 0
  .ip = { 192, 168, 0, 89 },
  .mask = { 255, 255, 255, 0 },
  .gw = { 192, 168, 0, 1 }
#else
  .ip = { 0, 0, 0, 0 },
  .mask = { 0, 0, 0, 0 },
  .gw = { 0, 0, 0, 0 }
#endif
};

