/* MIPS I system
 * Copyright 2011-2012 Stefan Schuermans <stefan@blinkenarea.org>
 * Copyleft GNU public license V2 or later
 *          http://www.gnu.org/copyleft/gpl.html
 */

#ifndef CYC_CNT_H
#define CYC_CNT_H

#define CYC_CNT_US (50)      ///< cycles per microsecond
#define CYC_CNT_MS (50*1000) ///< cycles per millisecond

/**
 * @brief read cycle counter
 * @return cycle counter value
 */
unsigned int cyc_cnt_read(void);

/**
 * @brief delay for a number of cycles
 * @param[in] cyc number of cycles
 */
void cyc_cnt_delay(unsigned int cyc);

#endif /* #ifndef CYC_CNT_H */

