-- MIPS I system
-- Copyright 2011-2012 Stefan Schuermans <stefan@blinkenarea.org>
-- Copyleft GNU public license V2 or later
--          http://www.gnu.org/copyleft/gpl.html

LIBRARY ieee;
USE ieee.std_logic_1164.all;
USE ieee.numeric_std.all;

PACKAGE io_eth_pins IS

    TYPE t_io_eth_o_pins IS
        RECORD
            nrst:  std_logic;
            txd:   std_logic_vector(3 DOWNTO 0);
            tx_en: std_logic;
        END RECORD;

    TYPE t_io_eth_i_pins IS
        RECORD
            rx_clk: std_logic;
            rxd:    std_logic_vector(4 DOWNTO 0);
            rx_dv:  std_logic;
            crs:    std_logic;
            col:    std_logic;
            tx_clk: std_logic;
        END RECORD;

END PACKAGE io_eth_pins;

