#! /bin/bash

# MIPS I system
# Copyright 2011-2012 Stefan Schuermans <stefan@blinkenarea.org>
# Copyleft GNU public license V2 or later
#          http://www.gnu.org/copyleft/gpl.html

cd "$(dirname "$0")"

DATA2MEM="/opt/Xilinx/13.4/ISE_DS/ISE/bin/lin64/data2mem"

cd ..

"$DATA2MEM" \
  -bm memory_maps/mips_sys_bd.bmm \
  -bt e_system.bit \
  -bd fw/rom.bin tag rom \
  -o b e_system_tmp.bit

"$DATA2MEM" \
  -bm memory_maps/mips_sys_bd.bmm \
  -bt e_system_tmp.bit \
  -bd fw/ram.bin tag ram \
  -o b e_system.bit

